kind: pipeline
type: docker
name: test

steps:
  - name: build
    image: plugins/docker
    volumes:
      - name: hosts
        path: /etc/hosts
      - name: docker-ca
        path: /etc/docker
      - name: docker-sock
        path: /var/run/docker.sock
    settings:
      dockerfile: /drone/src/Dockerfile
      username:
        from_secret: aliyun_name
      password:
        from_secret: aliyun_password
      repo: registry.cn-hangzhou.aliyuncs.com/kpt-event/sheep-admin
      registry: registry.cn-hangzhou.aliyuncs.com
      tags: [test]
  - name: ssh commands
    image: appleboy/drone-ssh
    settings:
      host: 192.168.1.70
      username: tmrwatch
      password:
        from_secret: ssh_password
      port: 22
      script:
        - cd /data/docker-compose/sheep-admin/
        - echo "123456" | ./restart.sh
trigger:
  branch:
    include:
      - feature/*
  event:
    include:
      - push
volumes:
  - name: host
    host:
      path: /etc/host
  - name: docker-ca
    host:
      path: /ect/docker
  - name: docker-sock
    host:
      path: /var/run/docker.sock
---
kind: pipeline
type: docker
name: product
steps:
  - name: build
    image: plugins/docker:20.14.2
    volumes:
      - name: hosts
        path: /etc/hosts
      - name: docker-ca
        path: /etc/docker
      - name: docker-sock
        path: /var/run/docker.sock
    settings:
      username:
        from_secret: aliyun_name
      password:
        from_secret: aliyun_password
      repo: registry.cn-hangzhou.aliyuncs.com/kpt-event/sheep-admin
      registry: registry.cn-hangzhou.aliyuncs.com
      tag:
        - latest
        - ${DRONE_BRANCH##release/}
trigger:
  branch:
    include:
      - release/*
  event:
    include:
      - push
volumes:
  - name: docker-ca
    host:
      path: /etc/docker
  - name: docker-sock
    host:
      path: /var/run/docker.sock
---
kind: pipeline
type: docker
name: hotfix

steps:
  - name: build
    image: plugins/docker:20.14.2
    volumes:
      - name: hosts
        path: /etc/hosts
      - name: docker-ca
        path: /etc/docker
      - name: docker-sock
        path: /var/run/docker.sock
    settings:
      username:
        from_secret: aliyun_name
      password:
        from_secret: aliyun_password
      repo: registry.cn-hangzhou.aliyuncs.com/kpt-event/sheep-admin
      registry: registry.cn-hangzhou.aliyuncs.com
      tag:
        - latest
trigger:
  branch:
    include:
      - hotfix/*
  event:
    include:
      - push
volumes:
  - name: docker-ca
    host:
      path: /etc/docker
  - name: docker-sock
    host:
      path: /var/run/docker.sock
